## gate.config
Class ConfigDataProcessor

    java.lang.Object
      |
      +--gate.config.ConfigDataProcessor

public class ConfigDataProcessor
extends Object

This class parses `gate.xml` configuration data files.

Constructor Summary
`ConfigDataProcessor()` Default constructor.

Method Summary
`void` `parseConfigFile(InputStream configStream, URL configUrl)` Parse a config file (represented as an open stream).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigDataProcessor

    public ConfigDataProcessor()
                        throws GateException

  Default constructor. Sets up config files parser.

Method Detail

### parseConfigFile

    public void parseConfigFile(InputStream configStream,
                                URL configUrl)
                         throws GateException

  Parse a config file (represented as an open stream).